Skip to content

Activate a virtual MCP connection

Request

OAuth 2.0 scope:
  • okta.resourceServers.virtualMcpServers.manage
Admin roles:
  • SUPER_ADMIN

Activates a resource connection for the virtual MCP

Path
virtualMcpServerIdstringrequired

ID of a virtual MCP

Example:wlp1aB2cD3eF4gH5iJ6k
connectionIdstringrequired

Unique identifier for the connection

Example:mcn1a2b3c4d5e6f7g8h9
POST
/workload-principals/api/v1/virtual-mcp-servers/{virtualMcpServerId}/connections/{connectionId}/lifecycle/activate
curl -i -X POST \
  https://subdomain.okta.com/workload-principals/api/v1/virtual-mcp-servers/wlp1aB2cD3eF4gH5iJ6k/connections/mcn1a2b3c4d5e6f7g8h9/lifecycle/activate

Responses

A response confirming the successful activation of the connection

Bodyapplication/json
connectionTypestringrequired

Type of connection authentication method

Value:"STS_ACCESS_TOKEN"
idstring(ResourceConnectionId)required

Unique identifier for the resource connection. Only present for resource connections.

ornstring(ResourceConnectionOrn)required

The ORN of the resource connection

resourceobject(ManagedSTSAccessTokenResourceData)required
resourceIndicatorstring, (uri)(ResourceConnectionResourceIndicator)required

Resource indicator used when requesting tokens

statusstring(ResourceConnectionStatus)required

The status of the connection

Enum ValueDescription
ACTIVE

The agent connection is active

INACTIVE

The agent connection is inactive

Response
{ "connectionType": "STS_ACCESS_TOKEN", "id": "mcn9i0j1k2l3m4n5o6p7", "orn": "orn:okta:idp:00o1n8sbwArJ7OQRw406:connections:mcn9i0j1k2l3m4n5o6p7", "status": "ACTIVE", "resourceIndicator": "https://mcp.example.com", "resource": { "resourceType": "MCP_SERVER", "orn": "orn:okta:directory:00o1n8sbwArJ7OQRw406:resource-servers:mcp:mcp2c8xwvBn4h2Ry50g7", "name": "Code Assistant MCP Server", "mcpServerId": "mcp2c8xwvBn4h2Ry50g7", "endpointUrl": "https://mcp.example.com", "clientAuthSettings": {}, "_links": {} }, "_links": { "self": {} } }